View Issue Details

IDProjectCategoryView StatusLast Update
0008092LazarusIDEpublic2009-10-18 13:07
ReporterLuiz Americo Assigned ToMattias Gaertner  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSWindows 
Product Version0.9.21 (SVN) 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0008092: Identifier completion does not work after ^ in type definitions
DescriptionWhen the identifier completion is called after ^ character an error is raised:
"Identifier expected but ^ found". See the following code example:

type
  TRec = record
    Int: Integer;
  end;
  PRec = ^TR //Ctrl - space: the error appears

if i remove the ^ it works:
  PRec = TR //Ctrl - space: identifier completion works as expected

using svn 10399 + fpc 204
TagsNo tags attached.
Fixed in Revision
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Activities

Mattias Gaertner

2007-01-19 17:55

manager   ~0010953

I improved the error description

Luiz Americo

2009-10-18 11:15

developer   ~0031437

It's fixed in the current Lazarus version.

Paul Ishenin

2009-10-18 11:33

manager   ~0031438

Then close please.

Issue History

Date Modified Username Field Change
2007-01-08 23:21 Luiz Americo New Issue
2007-01-08 23:21 Luiz Americo Widgetset => Win32
2007-01-09 08:42 Vincent Snijders LazTarget => 1.0
2007-01-09 08:42 Vincent Snijders Assigned To => Mattias Gaertner
2007-01-09 08:42 Vincent Snijders Status new => assigned
2007-01-19 17:55 Mattias Gaertner Note Added: 0010953
2007-01-19 17:55 Mattias Gaertner Status assigned => confirmed
2007-01-19 17:55 Mattias Gaertner Summary Identifier completion does not work after ^ => Identifier completion does not work after ^ in type definitions
2008-04-24 09:57 Vincent Snijders Target Version => 1.0.0
2009-10-18 11:15 Luiz Americo Note Added: 0031437
2009-10-18 11:33 Paul Ishenin Status confirmed => resolved
2009-10-18 11:33 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-10-18 11:33 Paul Ishenin Resolution open => fixed
2009-10-18 11:33 Paul Ishenin Note Added: 0031438
2009-10-18 13:07 Luiz Americo Status resolved => closed